{
  config,
  pkgs,
  inputs,
  ...
}:
{
  xdg.enable = true;

  home.stateVersion = "25.05";
  home.username = "imnyang";
  home.homeDirectory = "/home/imnyang";
  home.packages = import ./packages.nix { inherit pkgs inputs; };

  home.sessionVariables = {
    EDITOR = "nvim";
    VISUAL = "nvim";
  };

  xdg.configFile."fontconfig/conf.d/10-hm-fonts.conf".force = true;

  programs.git = {
    enable = true;
    settings = {
      user = {
        name = "imnyang";
        email = "imnyang@pm.me";
      };
      commit.gpgsign = false;
      init.defaultBranch = "main";
      pull.rebase = false;
    };
  };

  imports = [
    "${inputs.self}/modules/home/devtool/neovim.nix"
    "${inputs.self}/modules/home/devtool/ghostty.nix"
    "${inputs.self}/modules/home/devtool/zed.nix"
    "${inputs.self}/modules/home/firefox-devedition.nix"
    "${inputs.self}/modules/home/discord/linux.nix"
    ./config/shell.nix
    ./config/plasma.nix
  ];
}
